Bug 533217 - vt switching 1 -> 2 -> 1 = blank/black screen
Summary: vt switching 1 -> 2 -> 1 = blank/black screen
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F12Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2009-11-05 17:06 UTC by Rex Dieter
Modified: 2009-11-06 02:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 02:38:23 UTC
Type: ---


Attachments (Terms of Use)

Description Rex Dieter 2009-11-05 17:06:57 UTC
intel 945-based laptop, from login window (using kde/kdm here),
cntl-alt-f2
then
alt-f1
back = blank/black screen.

Last known working using xorg-x11-server-Xorg-1.7.0-1

tested
xorg-x11-server-Xorg-1.7.0-5
xorg-x11-server-Xorg-1.7.1-6

This failure, in effect, breaks KDE user switching.

Comment 1 Rex Dieter 2009-11-05 17:16:07 UTC
for fun, tested using gdm, doesn't seem to be an issue there.

Another possible ConsoleKit/display-manager interaction?

Comment 2 Rex Dieter 2009-11-05 18:39:32 UTC
Tested changes since 1.7.0-1, seems this is the culprit:

* Thu Oct 08 2009 Adam Jackson <ajax@redhat.com> 1.7.0-2
- xserver-1.7.0-randr-gamma-restore.patch: Restore CRTC gamma on EnterVT.

rebuilding 1.7.1-6 without 
xserver-1.7.0-randr-gamma-restore.patch
makes things behave again. 

any ideas how/why this could be problematic?

Comment 3 Rex Dieter 2009-11-05 18:45:53 UTC
Scratch build for testing sans xserver-1.7.0-randr-gamma-restore.patch

http://koji.fedoraproject.org/koji/taskinfo?taskID=1790732

Comment 4 Adam Jackson 2009-11-05 19:30:21 UTC
Which 945 is this, exactly?  Are you using KMS or not?

Comment 5 Dan Williams 2009-11-05 19:44:05 UTC
I get this on an r7500 just switching vts from kdm.  I cannot reproduce it from gdm.

Comment 6 Dan Williams 2009-11-05 19:47:09 UTC
ajax: with kms on the r7500

Comment 7 Rex Dieter 2009-11-05 19:48:08 UTC
$ lspci | grep 945
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

with kms.

it's a dell latitude d620

Comment 8 Rex Dieter 2009-11-05 20:13:31 UTC
If it helps any, notting suggested in #fedora-devel, that when/if this happens to try ssh'ing in , and issuing:

DISPLAY=:0 XAUTHORITY=/var/run/kdm/<whatever> xgamma -gamma 1

and that restored the display, and it remains functional from then on... I can do further vt switches without problems, at least until the next X server restart.

Comment 9 Jon Burgess 2009-11-05 23:04:16 UTC
I see exactly the same behaviour on an EeePC 901 with same chipset as above:

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

The xgamma command above works and fixes the same behaviour following a suspend-resume cycle.

Comment 10 Adam Williamson 2009-11-06 00:50:39 UTC
An xorg-x11-server build which should fix this is currently in progress:

http://koji.fedoraproject.org/koji/buildinfo?buildID=140035

please test it and report whether it resolves this issue. Testing ASAP would be
really appreciated, we're on a tight deadline for F12. Thanks a lot!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Rex Dieter 2009-11-06 02:13:28 UTC
xorg-x11-server-1.7.1-7.fc12

tests out A-OK here, looks like we have a winner. +1

Comment 12 Adam Williamson 2009-11-06 02:38:23 UTC
build is tagged, so closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.